// 数据交互
var data = {
        alreadyShow: function() {
            $(".no_show").hide();
            $(".winning_list").removeClass("show");
            $(".flaunting_winning").addClass("show");
            // 已晒单
            if (pageIndex1 === 0) {
                pageIndex1 = 1;
                LoadListData(1);
            } else {
                if (noData1) {
                    $(".no_show").show();
                }
            }
        },
        noShow: function() {
            $(".no_show").hide();
            $(".flaunting_winning").removeClass("show");
            $(".winning_list").addClass("show");
            // 未晒单
            if (pageIndex0 === 0) {
                pageIndex0 = 1;
                LoadListData(0);
            } else {
                if (noData0) {
                    $(".no_show").show();
                }
            }
        }
    },
    pageIndex0 = 0,
    pageIndex1 = 0,
    bOk = false,
    noData0 = false,
    noData1 = false,
LoadListData = function loadListData(type) {
    $(".loading_list").css("visibility", "visible");
    var pageIndex = type === 1 ? pageIndex1 : pageIndex0;
    $.ajax({
        url: "/User/SharePart",
        data: { type: type, pageIndex: pageIndex },
        type: "get",
        success: function (data) {
            var $curDiv = type === 1 ? $(".flaunting_winning") : $(".winning_list").show();
            $(".loading_list").css("visibility", "hidden");
            if (data.length === 0 && pageIndex === 1) {
                $(".no_show").show();
                if (type === 0) {
                    noData0 = true;
                } else {
                    noData1 = true;
                }
                return;
            }
            if (data.length === 0) {
                $(".loading_list").css("visibility", "visible");
                $(".loading_list").text("已经到底了");
                return;
            }
            if (type === 0) {
                pageIndex0++;
            } else {
                pageIndex1++;
            }
            $(".loading_list").text("正在加载...");
            $curDiv.append(data);
            bOk = true;
        }
    });
},// ui 交互
interactive = {
		init: function(){
			// 初始化 参与纪录
		    data.alreadyShow();
			this.menuBarScroll();
			this.switchList();
		},

		// 菜单栏吸顶
		menuBarScroll: function()
		{
			var menuTop = $('.select_list_box').offset().top;
			
			// 判断是否吸顶
			function isTop()
			{
				if($(window).scrollTop() >= menuTop - $('.nav_bar').offset().height)
				 {
				 	$('.select_list_box').addClass('fixed');
				 	if(!$('.return_top').hasClass('show'))
				 	{
				 		$('.return_top').addClass('show');
				 	}
				 }
				 else
				 {
				 	$('.select_list_box').removeClass('fixed');
				 	$('.return_top').removeClass('show');
				 }
			}

			$(window).on('scroll',function(){
				isTop();
			});
		},

		switchList: function()
		{
			common.isMove($('.select_list ul li'),function(_this){
				$(_this).addClass('on').siblings().removeClass('on');
				$('.my_already_show').hide();
				$('.my_already_show').eq($(_this).index()).show();
				$('.slide_bar').css({
					'transform': 'translate3d('+$(_this).offset().width*$(_this).index()+'px,0,0)',
					'-webkit-transform': 'translate3d('+$(_this).offset().width*$(_this).index()+'px,0,0)'
				});


				switch($(_this).text())
				{
					case '已晒单': 
						data.alreadyShow();
					break;
					case '未晒单': 
						data.noShow();
					break;
				}
			});
		}
	};
interactive.init();

$(function() {
    window.onscroll = function () {
        if (getScrollTop() + getClientHeight() >= getScrollHeight() - $(".loading_list").offset().height) {
            if (!bOk)
                return;
            bOk = false;
            LoadListData($(".flaunting_winning").hasClass("show") ? 1 : 0);
        }
    };
});
